How to apply the JCE patch in JDK1.8_151 or higher?

Document ID : KB000016726
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

We are installing Access Gateway, and we have installed the latest JDK 1.8 update 151, however the steps in the documentation does not apply well as the folder structure does not match with the documentation. How we can apply the JCE patch?

Environment:
Access Gateway R12.7
Answer:

From JDK 1.8_151, the process to apply the Java Cryptography Extension (JCE) Unlimited Strength has changed, as the JDK installation package is including already the libraries, and you need only to enable them. You can do it as follows:

- Go to the <JDK_path>/jre/lib/security folder, and edit the java.security file to uncomment the following line:

crypto.policy=unlimited

 

 

Additional Information: